Subject: Re: [Fot] Orlando

From: Bob Kramer via Fot <[email-masked]>
Date: Thu, 5 Mar 2015 17:57:35 +0000

I doubt you'll find anything to do down there, it's a small work after all.
Bob Kramer
[email-masked]

---- marty via Fot <[email-masked]> wrote: 
> Looks like I will be in Orlando for a few days starting March 23rd. Any FOT'rs from around there have any recommendation for any neat car related places to explore in that area?  I'll just miss Sebring :(
> 
>  
> 
> I'm sure going to miss this Ohio weather!
> 
>  
> 
> Marty
>  		 	   		  

_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive